name: LM339
alias: LM139, LM239
variations: PDIP, SOIC, TSSOP, SO, SSOP
description: comparator, quad
datasheet: https://www.ti.com/lit/gpn/LM339

pinout:
  VCC: 3
  GND: 12
  OUT1: 1
  IN1:
    IN1+: 7
    IN1-: 6
  OUT2: 2
  IN2:
    IN2+: 5
    IN2-: 4
  OUT3: 14
  IN3:
    IN3+: 9
    IN3-: 8
  OUT4: 13
  IN4:
    IN4+: 11
    IN4-: 10

properties:
  power: VCC
  ground: GND
  in: IN1-4
  out: OUT1-4

schematic:
  symbol: IC
  left: IN1-4
  right: OUT1-4
  top: VCC
  bottom: GND

parts:
  COMP1: IN1, OUT1, VCC, GND
  COMP2: IN2, OUT2, VCC, GND
  COMP3: IN3, OUT3, VCC, GND
  COMP4: IN4, OUT4, VCC, GND

housing@PDIP:
  suffix: N
  outline: JEDEC MS-001 AA

housing@SOIC:
  suffix: D
  outline: JEDEC MS-012 AB

housing@TSSOP:
  suffix: PW
  outline: JEDEC MO-153 AB-1

housing@SO:
  suffix: NS
  pattern: SOP
  bodyWidth: 5.0-5.6
  bodyLength: 9.9-10.5 # A
  height: 2.0
  leadSpan: 7.4-8.2
  leadWidth: 0.35-0.51
  leadLength: 0.55-1.05
  leadCount: 14
  pitch: 1.27

housing@SSOP:
  suffix: DB
  outline: JEDEC MO-150 AB
